"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Messages = void 0;
const ErrorCodes_1 = require("./ErrorCodes");
exports.Messages = {
    [ErrorCodes_1.ErrorCodes.ClientNotLoggedIn]: (action) => `The client needs to be logged in to ${action}.`,
    [ErrorCodes_1.ErrorCodes.InvalidBearerToken]: "An invalid bearer token was provided.",
    [ErrorCodes_1.ErrorCodes.InvalidBasicToken]: "An invalid basic token was provided.",
    [ErrorCodes_1.ErrorCodes.CaptchaRequired]: "A captcha is required. `error.captcha_url` contains the url to the captcha.",
    [ErrorCodes_1.ErrorCodes.InvalidGrant]: (description) => `Invalid grant: ${description}`,
    [ErrorCodes_1.ErrorCodes.UnknownError]: (error) => `An unknown error occurred: ${error}`,
};
exports.default = exports.Messages;
//# sourceMappingURL=Messages.js.map