import { Client } from "../client/Client";
import { Base, BasePayload } from "./Base";
import { APIUser } from "@ifunny/ifunny-api-types";

interface UserPayload extends BasePayload {
	nick: string;
}

export class User extends Base<UserPayload> {
	constructor(client: Client, payload: Partial<UserPayload> = {}) {
		super(client, payload);
		this.payload = payload;
		this.endpoint_url = "";
	}
}

const user = new User(new Client());
